PowerPoint7Parser.cxx File Reference
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <sstream>`
`#include <stack>`
`#include <utility>`
`#include <librevenge/librevenge.h>`
`#include "MWAWPresentationListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "PowerPoint3OLE.hxx"`
`#include "PowerPoint7Graph.hxx"`
`#include "PowerPoint7Parser.hxx"`
`#include "PowerPoint7Struct.hxx"`
`#include "PowerPoint7Text.hxx"`

## Classes

struct | PowerPoint7ParserInternal::SlideInfo
| Internal: the basic information about a slide/notes/... zone in a PowerPoint7Parser. More...
struct | PowerPoint7ParserInternal::State
| Internal: the state of a PowerPoint7Parser. More...

## Namespaces

namespace | PowerPoint7ParserInternal
| Internal: the structures of a PowerPoint7Parser.

## Variables

constexpr int | PowerPoint7ParserInternal::MAX_RECORD_NESTING = 1 << 10
| the maximum nesting level when reading nested container zones